Commit b479b3fc authored by Ralf Habacker's avatar Ralf Habacker
Browse files

cmake: Fix build issue with kdevelop 5.2.1 on Ubuntu 18.04

Add KF5::ThreadWeaver as a dependency to KDevTest target.

Because kdevelop 5.2.1 uses include headers from the Threadweaver
library in it's public api, but did not add KF5::ThreadWeaver as
a public dependency, clients get an error when compiling.

BUG:424794
FIXED-IN:2.31.90 (KDE releases 20.07.90)
parent 58b5fe68
......@@ -8,6 +8,8 @@ if (BUILD_KF5)
#KDev::Project
#KDev::Debugger
PRIVATE
# fix kdevelop-5.2.1 issue, see https://bugs.kde.org/show_bug.cgi?id=424794
KF5::ThreadWeaver
)
add_library(KDev::Tests ALIAS KDevTests)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment